# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "3.0.0")
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 3.0.0...4.0)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS Lagom::GenericClangPlugin Lagom::JSClangPlugin Lagom::NoCoverage Lagom::AK Lagom::CoreMinimal Lagom::Core Lagom::Main Lagom::FileSystem Lagom::IDL Lagom::Compress Lagom::Crypto Lagom::Database Lagom::Diff Lagom::DNS Lagom::GC Lagom::HTTP Lagom::IPC Lagom::JS Lagom::Regex Lagom::Requests Lagom::Syntax Lagom::TextCodec Lagom::Threading Lagom::TLS Lagom::Unicode Lagom::URL Lagom::Wasm Lagom::WebSocket Lagom::XML Lagom::DevTools Lagom::Gfx Lagom::ImageDecoderClient Lagom::Media Lagom::Web Lagom::WebView Lagom::Line)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target Lagom::GenericClangPlugin
add_library(Lagom::GenericClangPlugin INTERFACE IMPORTED)

set_target_properties(Lagom::GenericClangPlugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Lagom::JSClangPlugin
add_library(Lagom::JSClangPlugin INTERFACE IMPORTED)

set_target_properties(Lagom::JSClangPlugin PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
)

# Create imported target Lagom::NoCoverage
add_library(Lagom::NoCoverage INTERFACE IMPORTED)

# Create imported target Lagom::AK
add_library(Lagom::AK STATIC IMPORTED)

set_target_properties(Lagom::AK PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:cpptrace::cpptrace>;\$<LINK_ONLY:simdutf::simdutf>;\$<LINK_ONLY:FastFloat::fast_float>"
)

# Create imported target Lagom::CoreMinimal
add_library(Lagom::CoreMinimal STATIC IMPORTED)

set_target_properties(Lagom::CoreMinimal PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>"
)

# Create imported target Lagom::Core
add_library(Lagom::Core STATIC IMPORTED)

set_target_properties(Lagom::Core PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Unicode>;\$<LINK_ONLY:Lagom::URL>;\$<LINK_ONLY:Threads::Threads>;Lagom::CoreMinimal;Vulkan::Vulkan;Vulkan::Headers"
)

# Create imported target Lagom::Main
add_library(Lagom::Main STATIC IMPORTED)

set_target_properties(Lagom::Main PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>"
)

# Create imported target Lagom::FileSystem
add_library(Lagom::FileSystem STATIC IMPORTED)

set_target_properties(Lagom::FileSystem PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::CoreMinimal>"
)

# Create imported target Lagom::IDL
add_library(Lagom::IDL STATIC IMPORTED)

set_target_properties(Lagom::IDL PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::CoreMinimal>;\$<LINK_ONLY:Lagom::FileSystem>"
)

# Create imported target Lagom::Compress
add_library(Lagom::Compress STATIC IMPORTED)

set_target_properties(Lagom::Compress PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:ZLIB::ZLIB>"
)

# Create imported target Lagom::Crypto
add_library(Lagom::Crypto STATIC IMPORTED)

set_target_properties(Lagom::Crypto PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:PkgConfig::libtommath>;OpenSSL::Crypto"
)

# Create imported target Lagom::Database
add_library(Lagom::Database STATIC IMPORTED)

set_target_properties(Lagom::Database PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:SQLite::SQLite3>"
)

# Create imported target Lagom::Diff
add_library(Lagom::Diff STATIC IMPORTED)

set_target_properties(Lagom::Diff PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>"
)

# Create imported target Lagom::DNS
add_library(Lagom::DNS STATIC IMPORTED)

set_target_properties(Lagom::DNS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;Lagom::Crypto"
)

# Create imported target Lagom::GC
add_library(Lagom::GC STATIC IMPORTED)

set_target_properties(Lagom::GC PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>"
)

# Create imported target Lagom::HTTP
add_library(Lagom::HTTP STATIC IMPORTED)

set_target_properties(Lagom::HTTP PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Compress>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:Lagom::Database>;\$<LINK_ONLY:Lagom::FileSystem>;\$<LINK_ONLY:Lagom::IPC>;\$<LINK_ONLY:Lagom::Regex>;\$<LINK_ONLY:Lagom::TextCodec>;\$<LINK_ONLY:Lagom::TLS>;\$<LINK_ONLY:Lagom::URL>"
)

# Create imported target Lagom::IPC
add_library(Lagom::IPC STATIC IMPORTED)

set_target_properties(Lagom::IPC PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::URL>;\$<LINK_ONLY:Lagom::Threading>"
)

# Create imported target Lagom::JS
add_library(Lagom::JS STATIC IMPORTED)

set_target_properties(Lagom::JS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:Lagom::FileSystem>;\$<LINK_ONLY:Lagom::Regex>;\$<LINK_ONLY:Lagom::Syntax>;\$<LINK_ONLY:Lagom::GC>;Lagom::Unicode;Lagom::JSClangPlugin"
)

# Create imported target Lagom::Regex
add_library(Lagom::Regex STATIC IMPORTED)

set_target_properties(Lagom::Regex PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Unicode>"
)

# Create imported target Lagom::Requests
add_library(Lagom::Requests STATIC IMPORTED)

set_target_properties(Lagom::Requests PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::HTTP>;\$<LINK_ONLY:Lagom::IPC>"
)

# Create imported target Lagom::Syntax
add_library(Lagom::Syntax STATIC IMPORTED)

set_target_properties(Lagom::Syntax PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>"
)

# Create imported target Lagom::TextCodec
add_library(Lagom::TextCodec STATIC IMPORTED)

set_target_properties(Lagom::TextCodec PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>"
)

# Create imported target Lagom::Threading
add_library(Lagom::Threading STATIC IMPORTED)

set_target_properties(Lagom::Threading PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>"
)

# Create imported target Lagom::TLS
add_library(Lagom::TLS STATIC IMPORTED)

set_target_properties(Lagom::TLS PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:Lagom::FileSystem>;OpenSSL::SSL"
)

# Create imported target Lagom::Unicode
add_library(Lagom::Unicode STATIC IMPORTED)

set_target_properties(Lagom::Unicode PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:ICU::i18n>;\$<LINK_ONLY:ICU::uc>;\$<LINK_ONLY:ICU::data>"
)

# Create imported target Lagom::URL
add_library(Lagom::URL STATIC IMPORTED)

set_target_properties(Lagom::URL PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Unicode>;\$<LINK_ONLY:Lagom::TextCodec>;\$<LINK_ONLY:Lagom::Regex>;\$<LINK_ONLY:Lagom::Crypto>"
)

# Create imported target Lagom::Wasm
add_library(Lagom::Wasm STATIC IMPORTED)

set_target_properties(Lagom::Wasm PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>"
)

# Create imported target Lagom::WebSocket
add_library(Lagom::WebSocket STATIC IMPORTED)

set_target_properties(Lagom::WebSocket PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:Lagom::HTTP>;\$<LINK_ONLY:Lagom::TLS>;\$<LINK_ONLY:Lagom::URL>;\$<LINK_ONLY:Lagom::DNS>"
)

# Create imported target Lagom::XML
add_library(Lagom::XML STATIC IMPORTED)

set_target_properties(Lagom::XML PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>"
)

# Create imported target Lagom::DevTools
add_library(Lagom::DevTools STATIC IMPORTED)

set_target_properties(Lagom::DevTools PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Web>"
)

# Create imported target Lagom::Gfx
add_library(Lagom::Gfx STATIC IMPORTED)

set_target_properties(Lagom::Gfx PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "/usr/include;/usr/include/libdrm;${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Compress>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:Lagom::FileSystem>;\$<LINK_ONLY:Lagom::TextCodec>;\$<LINK_ONLY:Lagom::IPC>;\$<LINK_ONLY:Lagom::Unicode>;\$<LINK_ONLY:PkgConfig::WOFF2>;\$<LINK_ONLY:JPEG::JPEG>;\$<LINK_ONLY:PNG::PNG>;\$<LINK_ONLY:avif>;\$<LINK_ONLY:WebP::webp>;\$<LINK_ONLY:WebP::webpdecoder>;\$<LINK_ONLY:WebP::webpdemux>;\$<LINK_ONLY:WebP::libwebpmux>;\$<LINK_ONLY:unofficial::skia::skia>;\$<LINK_ONLY:harfbuzz>;\$<LINK_ONLY:Fontconfig::Fontconfig>;\$<LINK_ONLY:PkgConfig::Jxl>"
)

# Create imported target Lagom::ImageDecoderClient
add_library(Lagom::ImageDecoderClient STATIC IMPORTED)

set_target_properties(Lagom::ImageDecoderClient PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::IPC>;\$<LINK_ONLY:Lagom::Gfx>"
)

# Create imported target Lagom::Media
add_library(Lagom::Media STATIC IMPORTED)

set_target_properties(Lagom::Media PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:Lagom::IPC>;\$<LINK_ONLY:Lagom::Gfx>;\$<LINK_ONLY:Lagom::Threading>;\$<LINK_ONLY:Lagom::Unicode>;\$<LINK_ONLY:PkgConfig::AVCODEC>;\$<LINK_ONLY:PkgConfig::AVFORMAT>;\$<LINK_ONLY:PkgConfig::AVUTIL>;\$<LINK_ONLY:PkgConfig::PULSEAUDIO>"
)

# Create imported target Lagom::Web
add_library(Lagom::Web STATIC IMPORTED)

set_target_properties(Lagom::Web PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Compress>;\$<LINK_ONLY:Lagom::Crypto>;\$<LINK_ONLY:Lagom::JS>;\$<LINK_ONLY:Lagom::HTTP>;\$<LINK_ONLY:Lagom::Gfx>;\$<LINK_ONLY:Lagom::IPC>;\$<LINK_ONLY:Lagom::Regex>;\$<LINK_ONLY:Lagom::Syntax>;\$<LINK_ONLY:Lagom::TextCodec>;\$<LINK_ONLY:Lagom::Unicode>;\$<LINK_ONLY:Lagom::Media>;\$<LINK_ONLY:Lagom::Wasm>;\$<LINK_ONLY:Lagom::XML>;\$<LINK_ONLY:Lagom::IDL>;\$<LINK_ONLY:Lagom::URL>;\$<LINK_ONLY:Lagom::TLS>;\$<LINK_ONLY:Lagom::Requests>;\$<LINK_ONLY:Lagom::GC>;\$<LINK_ONLY:Lagom::Threading>;\$<LINK_ONLY:unofficial::skia::skia>;\$<LINK_ONLY:unofficial::angle::libEGL>;\$<LINK_ONLY:unofficial::angle::libGLESv2>;\$<LINK_ONLY:SDL3::SDL3-static>;\$<LINK_ONLY:LibXml2::LibXml2>"
)

# Create imported target Lagom::WebView
add_library(Lagom::WebView STATIC IMPORTED)

set_target_properties(Lagom::WebView PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Database>;\$<LINK_ONLY:Lagom::DevTools>;\$<LINK_ONLY:Lagom::FileSystem>;\$<LINK_ONLY:Lagom::Gfx>;\$<LINK_ONLY:Lagom::HTTP>;\$<LINK_ONLY:Lagom::ImageDecoderClient>;\$<LINK_ONLY:Lagom::IPC>;\$<LINK_ONLY:Lagom::Requests>;\$<LINK_ONLY:Lagom::JS>;\$<LINK_ONLY:Lagom::Web>;\$<LINK_ONLY:Lagom::Unicode>;\$<LINK_ONLY:Lagom::URL>;\$<LINK_ONLY:Lagom::Syntax>;\$<LINK_ONLY:Lagom::TextCodec>;\$<LINK_ONLY:Fontconfig::Fontconfig>"
)

# Create imported target Lagom::Line
add_library(Lagom::Line STATIC IMPORTED)

set_target_properties(Lagom::Line PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include"
  INTERFACE_LINK_LIBRARIES "Threads::Threads;Lagom::GenericClangPlugin;\$<LINK_ONLY:Lagom::AK>;\$<LINK_ONLY:Lagom::Core>;\$<LINK_ONLY:Lagom::Unicode>"
)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/LagomTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
